> dat2$variables$sel <- !is.na(dat2$variables$ecart_debract)

# Dependent variable: occupational prestige distance
> mod <- selection(selection=sel ~ C_agedeb + H_agedeb_C + C_duree10 + H_premcoup_C + H_premcoupC_C + C_act + C_actC + I(ANAISR-1948),
+                  outcome=diff_act ~ C_duree10 + C_duree10*ecart_debract_abs + C_hyperdip + H_premcoup_C + H_premcoupC_C + C_act + C_actC + I(ANAISR-1948),
+                  data=dat2$variables, method="2step")
> summary(mod)
--------------------------------------------
Tobit 2 model (sample selection model)
2-step Heckman / heckit estimation
5198 observations (2413 censored and 2785 observed)
32 free parameters (df = 5167)
Probit selection equation:
                               Estimate Std. Error t value Pr(>|t|)    
(Intercept)                   -1.569439   0.289249  -5.426 6.03e-08 ***
C_agedeb                       0.038236   0.004765   8.025 1.25e-15 ***
H_agedeb_C                     0.011988   0.004160   2.882 0.003971 ** 
C_duree10[5,15)                0.152262   0.072587   2.098 0.035985 *  
C_duree10[15,25)               0.136316   0.099276   1.373 0.169780    
C_duree10[25,35)               0.334108   0.136410   2.449 0.014347 *  
C_duree10[35,100)              0.694816   0.179913   3.862 0.000114 ***
H_premcoup_CUnion ultérieure   0.210624   0.044937   4.687 2.84e-06 ***
H_premcoupC_CUnion ultérieure  0.009868   0.044615   0.221 0.824965    
C_actTRUE                     -0.070248   0.052272  -1.344 0.179045    
C_actCTRUE                    -0.024150   0.051721  -0.467 0.640571    
I(ANAISR - 1948)               0.003511   0.004657   0.754 0.450842    
Outcome equation:
                                     Estimate Std. Error t value Pr(>|t|)    
(Intercept)                         18.800968   2.307755   8.147 4.64e-16 ***
C_duree10[5,15)                      0.002798   1.175396   0.002 0.998101    
C_duree10[15,25)                    -0.872349   1.604334  -0.544 0.586640    
C_duree10[25,35)                    -1.008898   2.002355  -0.504 0.614384    
C_duree10[35,100)                   -0.536372   2.271529  -0.236 0.813343    
ecart_debract_abs                    0.708585   0.048237  14.690  < 2e-16 ***
C_hyperdipHyper                      5.147550   0.827735   6.219 5.40e-10 ***
C_hyperdipHypo                       0.720198   0.828715   0.869 0.384858    
H_premcoup_CUnion ultérieure        -0.657111   1.047377  -0.627 0.530433    
H_premcoupC_CUnion ultérieure        0.560464   0.822632   0.681 0.495708    
C_actTRUE                            0.889097   1.000177   0.889 0.374077    
C_actCTRUE                          -0.411559   0.980816  -0.420 0.674789    
I(ANAISR - 1948)                    -0.094337   0.077707  -1.214 0.224798    
C_duree10[5,15):ecart_debract_abs   -0.207098   0.058145  -3.562 0.000372 ***
C_duree10[15,25):ecart_debract_abs  -0.293398   0.064860  -4.524 6.22e-06 ***
C_duree10[25,35):ecart_debract_abs  -0.367164   0.071261  -5.152 2.67e-07 ***
C_duree10[35,100):ecart_debract_abs -0.348241   0.069621  -5.002 5.86e-07 ***
Multiple R-Squared:0.2037,	Adjusted R-Squared:0.1988
   Error terms:
              Estimate Std. Error t value Pr(>|t|)
invMillsRatio   5.1040     3.3291   1.533    0.125
sigma          18.0919         NA      NA       NA
rho             0.2821         NA      NA       NA
--------------------------------------------

# Dependent variable: gendered occupational prestige gap
> mod <- selection(selection=sel ~ C_agedeb + H_agedeb_C + C_duree10 + H_premcoup_C + H_premcoupC_C + C_act + C_actC + I(ANAISR-1948),
+                  outcome=ecart_act ~ C_duree10 + C_duree10*ecart_debract + C_hyperdip + H_premcoup_C + H_premcoupC_C + C_act + C_actC + I(ANAISR-1948),
+                  data=dat2$variables, method="2step")
> summary(mod)
--------------------------------------------
Tobit 2 model (sample selection model)
2-step Heckman / heckit estimation
5198 observations (2413 censored and 2785 observed)
32 free parameters (df = 5167)
Probit selection equation:
                               Estimate Std. Error t value Pr(>|t|)    
(Intercept)                   -1.569439   0.289249  -5.426 6.03e-08 ***
C_agedeb                       0.038236   0.004765   8.025 1.25e-15 ***
H_agedeb_C                     0.011988   0.004160   2.882 0.003971 ** 
C_duree10[5,15)                0.152262   0.072587   2.098 0.035985 *  
C_duree10[15,25)               0.136316   0.099276   1.373 0.169780    
C_duree10[25,35)               0.334108   0.136410   2.449 0.014347 *  
C_duree10[35,100)              0.694816   0.179913   3.862 0.000114 ***
H_premcoup_CUnion ultérieure   0.210624   0.044937   4.687 2.84e-06 ***
H_premcoupC_CUnion ultérieure  0.009868   0.044615   0.221 0.824965    
C_actTRUE                     -0.070248   0.052272  -1.344 0.179045    
C_actCTRUE                    -0.024150   0.051721  -0.467 0.640571    
I(ANAISR - 1948)               0.003511   0.004657   0.754 0.450842    
Outcome equation:
                                Estimate Std. Error t value Pr(>|t|)    
(Intercept)                      4.27970    3.01852   1.418   0.1563    
C_duree10[5,15)                  0.49298    1.53279   0.322   0.7478    
C_duree10[15,25)                -0.30209    2.09699  -0.144   0.8855    
C_duree10[25,35)                 3.59071    2.61910   1.371   0.1704    
C_duree10[35,100)                4.83232    2.97070   1.627   0.1039    
ecart_debract                    0.72575    0.04198  17.289  < 2e-16 ***
C_hyperdipHyper                  6.33672    1.09754   5.774 8.21e-09 ***
C_hyperdipHypo                  -5.09299    1.09761  -4.640 3.57e-06 ***
H_premcoup_CUnion ultérieure     0.06483    1.37179   0.047   0.9623    
H_premcoupC_CUnion ultérieure    0.90676    1.07677   0.842   0.3998    
C_actTRUE                        0.06801    1.31007   0.052   0.9586    
C_actCTRUE                      -2.01504    1.28596  -1.567   0.1172    
I(ANAISR - 1948)                -0.05460    0.10175  -0.537   0.5916    
C_duree10[5,15):ecart_debract   -0.12531    0.04984  -2.515   0.0119 *  
C_duree10[15,25):ecart_debract  -0.26780    0.05531  -4.842 1.32e-06 ***
C_duree10[25,35):ecart_debract  -0.31719    0.06044  -5.248 1.60e-07 ***
C_duree10[35,100):ecart_debract -0.34457    0.05901  -5.840 5.55e-09 ***
Multiple R-Squared:0.3529,	Adjusted R-Squared:0.3489
   Error terms:
              Estimate Std. Error t value Pr(>|t|)
invMillsRatio   5.9627     4.3545   1.369    0.171
sigma          23.6241         NA      NA       NA
rho             0.2524         NA      NA       NA
--------------------------------------------